### Method

# Gtk Stack set_visible_child_full

#### Declaration [src]

    void
    gtk_stack_set_visible_child_full (
      GtkStack* stack,
      const char* name,
      GtkStackTransitionType transition
    )

#### Description [src]

Makes the child with the given name visible.

Note that the child widget has to be visible itself (see `gtk_widget_show()`) in order to become the visible child of `stack`.

#### Parameters

`name`

  Type: `const char*`

  The name of the child to make visible.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`transition`

  Type: `GtkStackTransitionType`

  The transition type to use.